## HEADER ####
## What: ***** ****** Onion half-sib flooding stress experiment
## When: Last edited 2021-06-16
## Who: Last editor, EH


## CONTENTS ####
## 00 Setup
## 01 Graphs
## 02 Analysis


## 00 Setup ####

# Ed wd
setwd(r'(D:\Dropbox\WORK\__Harper Adams stuff\HARPER HARUG R Users Group\2021-06-15 tidy stuff, 2 examples)')

library(openxlsx) # for reading Excel files
library(lme4) # for mixed effects models
library(lmerTest) # foar moar P values in lme

oni <- read.xlsx('onion-flooding.xlsx')

# fix vars
oni$plant <- as.factor(oni$plant)
oni$packet <- as.factor(oni$packet)
oni$species <- as.factor(oni$species)
oni$accession <- as.factor(oni$accession)
oni$sampling <- as.factor(oni$sampling)
oni$sampling2 <- as.factor(oni$sampling2)
oni$bulb <- as.factor(oni$bulb)
oni$rep <- as.factor(oni$rep)
oni$treatment <- as.factor(oni$treatment)

## 01 Graphs ####

### 01.01 Look at treatment, rep, response ####
boxplot(shootwt ~ treatment, data = oni)

boxplot(shootwt ~ rep+treatment, data = oni)

hist(oni$shootwt)

### 01.02 Interaction plot for accessions and treatment ####
interaction.plot(x.factor = oni$treatment,
                 trace.factor = oni$accession,
                 response = oni$shootwt,
                 legend = F)


## 02 Analysis ####
# https://cran.r-project.org/web/packages/lme4/vignettes/lmer.pdf

## take 0
lm0 <- lm(log(shootwt) ~ treatment + accession + rep, 
          data = oni)
plot(lm0, which=3)

anova(lm0)


## take 1

lme0 <- lmer(log(shootwt) ~ treatment + accession + (1|rep), data = oni)
plot(lme0)


anova(lme0)
summary(lme0)

